cURL
curl --request POST \ --url https://api.letpiper.com/v1/orgs/{org_id}/credentials/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "key": "<string>", "value": "<string>" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "key": "<string>", "last_used_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Create a new credential for the organization.
The credential value is encrypted at rest and never returned in responses.
Platform token (starts with pat_)
Schema for creating a credential.
Credential key (e.g., OPENAI_API_KEY). Must be ALL_CAPS_UNDERSCORES.
1 - 100
"OPENAI_API_KEY"
"SLACK_BOT_TOKEN"
The secret value to store (will be encrypted)
1
Successful Response
Schema for credential response (never includes the value).